/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			AnimateFrame.cpp
//		DESCRIPTION:	implementation of the CAnimateFrame class
//
/////////////////////////////////////////////////////////////////////////////


#include "stdafx.h"
#include "epet.h"
#include "AnimateFrame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#define ANIMATE_WINDOW_SIZE 450


//***************************************************************************
//                            CAnimateFrame CLASS
//***************************************************************************

IMPLEMENT_DYNCREATE(CAnimateFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CAnimateFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CAnimateFrame)
	ON_COMMAND(ID_FILE_CLOSE, OnFileClose)
	ON_WM_CREATE()
	ON_WM_SETFOCUS()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//**************************** Setup/cleanup ********************************
/////////////////////////////////////////////////////////////////////////////
CAnimateFrame::CAnimateFrame()
{
}

/////////////////////////////////////////////////////////////////////////////
BOOL CAnimateFrame::PreCreateWindow(CREATESTRUCT& cs) 
{
	if(!CMDIChildWnd::PreCreateWindow(cs))
	{
		return FALSE;
	}

	cs.dwExStyle &= ~WS_EX_CLIENTEDGE;
	cs.lpszClass = AfxRegisterWndClass(0);

	cs.cx = ANIMATE_WINDOW_SIZE;
	cs.cy = ANIMATE_WINDOW_SIZE;

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
int CAnimateFrame::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CMDIChildWnd::OnCreate(lpCreateStruct) == -1)
	{
		return -1;
	}

	SetIcon(g_Application.LoadIcon(IDR_ANIMATION), TRUE);

	// Create a view to occupy the client area of the frame

	if (!m_wndView.Create(
			NULL, 
			NULL, 
			AFX_WS_DEFAULT_VIEW, 
			CRect(0, 0, 0, 0), 
			this, 
			AFX_IDW_PANE_FIRST, 
			NULL))
	{
		TRACE0("Failed to create view window\n");
		return -1;
	}

	return 0;
}

/////////////////////////////////////////////////////////////////////////////
CAnimateFrame::~CAnimateFrame()
{
	g_Application.GetMainWnd()->PostMessage(WM_UPDATE_MAINFRAME_UI, IDR_ANIMATION, FALSE);
}

//******************************* Messages **********************************
/////////////////////////////////////////////////////////////////////////////
void CAnimateFrame::OnFileClose() 
{
	// To close the frame, just send a WM_CLOSE, which is the equivalent
	// choosing close from the system menu.

	SendMessage(WM_CLOSE);
}

/////////////////////////////////////////////////////////////////////////////
void CAnimateFrame::OnSetFocus(CWnd* pOldWnd) 
{
	CMDIChildWnd::OnSetFocus(pOldWnd);
	m_wndView.SetFocus();

	g_Application.GetMainWnd()->PostMessage(WM_UPDATE_MAINFRAME_UI, IDR_ANIMATION, TRUE);
}

//******************************* Commands **********************************
/////////////////////////////////////////////////////////////////////////////
BOOL CAnimateFrame::OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo) 
{
	// Let the view have first crack at the command
	if (m_wndView.OnCmdMsg(nID, nCode, pExtra, pHandlerInfo))
	{
		return TRUE;
	}

	// ...otherwise, do the default handling
	return CMDIChildWnd::OnCmdMsg(nID, nCode, pExtra, pHandlerInfo);
}

//=================================== EOF ===================================
