/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			AnimateView.h
//		DESCRIPTION:	interface for the CAnimateView class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_ANIMATEVIEW_H__1B0DCB8A_32A9_4205_90D4_17EB8E82BCD4__INCLUDED_)
#define AFX_ANIMATEVIEW_H__1B0DCB8A_32A9_4205_90D4_17EB8E82BCD4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GLPrims.h"
#include "Lock.h"
#include "AnimationManager.h"
#include "GLViewerGauge.h"


//***************************************************************************
//                           CAnimateView CLASS
//***************************************************************************

class GlFloor;
class GlIsoSystem;

class CAnimateView : public CWnd
{
public:

	CAnimateView();
	virtual ~CAnimateView();

public:

	//{{AFX_VIRTUAL(CAnimateView)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CAnimateView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnDestroy();
	afx_msg void OnPrint();
	afx_msg void OnUpdatePrint(CCmdUI* pCmdUI);
	afx_msg void OnAnimationPlay();
	afx_msg void OnUpdateAnimationPlay(CCmdUI* pCmdUI);
	afx_msg void OnAnimationStop();
	afx_msg void OnUpdateAnimationStop(CCmdUI* pCmdUI);
	afx_msg void OnAnimationSlow();
	afx_msg void OnUpdateAnimationSlow(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

	IGlContext* m_pContext;
	IVolSpace* m_pSpace;
	IGlViewer* m_pViewer;
	IGlCoord* m_pViewerCS;
	IGlLight* m_pLight;
	GlViewerGauge m_ViewerGauge;

	vector<GlFloor*> m_apFloors;
	GlIsoSystem* m_pGlIsoSystem;
	CAnimationManager m_AniMan;
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_ANIMATEVIEW_H__1B0DCB8A_32A9_4205_90D4_17EB8E82BCD4__INCLUDED_)

//=================================== EOF ===================================
