/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			ChildFrm.cpp
//		DESCRIPTION:	implementation of the CChildFrame class
//
/////////////////////////////////////////////////////////////////////////////


#include "stdafx.h"
#include "EPET.h"

#include "ChildFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


//***************************************************************************
//                             CChildFrame CLASS
//***************************************************************************

IMPLEMENT_DYNCREATE(CChildFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CChildFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CChildFrame)
	ON_COMMAND(ID_FILE_CLOSE, OnFileClose)
	ON_WM_SETFOCUS()
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//**************************** Setup/cleanup ********************************
/////////////////////////////////////////////////////////////////////////////
CChildFrame::CChildFrame()
{
}

/////////////////////////////////////////////////////////////////////////////
BOOL CChildFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if(!CMDIChildWnd::PreCreateWindow(cs))
	{
		return FALSE;
	}

	cs.dwExStyle &= ~WS_EX_CLIENTEDGE;
	cs.lpszClass = AfxRegisterWndClass(0);

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
int CChildFrame::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CMDIChildWnd::OnCreate(lpCreateStruct) == -1)
	{
		return -1;
	}

	SetIcon(g_Application.LoadIcon(IDR_EPETTYPE), TRUE);

	// Create a view to occupy the client area of the frame

	if (!m_wndView.Create(
			NULL, 
			NULL, 
			AFX_WS_DEFAULT_VIEW, 
			CRect(0, 0, 0, 0), 
			this, 
			AFX_IDW_PANE_FIRST, 
			NULL))
	{
		TRACE0("Failed to create view window\n");
		return -1;
	}

	return 0;
}

/////////////////////////////////////////////////////////////////////////////
CChildFrame::~CChildFrame()
{
	g_Application.GetMainWnd()->PostMessage(WM_UPDATE_MAINFRAME_UI, IDR_EPETTYPE, FALSE);
}

//******************************* Messages **********************************
/////////////////////////////////////////////////////////////////////////////
void CChildFrame::OnFileClose() 
{
	// To close the frame, just send a WM_CLOSE, which is the equivalent
	// choosing close from the system menu.

	SendMessage(WM_CLOSE);
}

/////////////////////////////////////////////////////////////////////////////
void CChildFrame::OnSetFocus(CWnd* pOldWnd) 
{
	CMDIChildWnd::OnSetFocus(pOldWnd);
	m_wndView.SetFocus();

	g_Application.GetMainWnd()->PostMessage(WM_UPDATE_MAINFRAME_UI, IDR_EPETTYPE, TRUE);
}

//******************************* Commands **********************************
/////////////////////////////////////////////////////////////////////////////
BOOL CChildFrame::OnCmdMsg(UINT nID, 
						   int nCode, 
						   void* pExtra, 
						   AFX_CMDHANDLERINFO* pHandlerInfo) 
{
	// Let the view have first crack at the command
	if (m_wndView.OnCmdMsg(nID, nCode, pExtra, pHandlerInfo))
	{
		return TRUE;
	}

	// ...otherwise, do the default handling
	return CMDIChildWnd::OnCmdMsg(nID, nCode, pExtra, pHandlerInfo);
}

//********************************* Debug ***********************************
/////////////////////////////////////////////////////////////////////////////
#ifdef _DEBUG
void CChildFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

/////////////////////////////////////////////////////////////////////////////
void CChildFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}
#endif //_DEBUG

//=================================== EOF ===================================
