/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			ChildView.h
//		DESCRIPTION:	interface for the CChildView class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_CHILDVIEW_H__417F0773_2D1E_4429_AA5D_A357B68D027F__INCLUDED_)
#define AFX_CHILDVIEW_H__417F0773_2D1E_4429_AA5D_A357B68D027F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Project.h"
#include "Building.h"
#include "Table.h"
#include "Graph.h"


//***************************************************************************
//                             CChildView CLASS
//***************************************************************************

class CChildView : public CWnd
{
public:

	CChildView();
	virtual ~CChildView();

public:

	//{{AFX_VIRTUAL(CChildView)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CChildView)
	afx_msg void OnPaint();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	afx_msg void OnProjectPrint();
	afx_msg void OnUpdateProjectPrint(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

	CProject& m_Project;
	int m_iSnapshotFloor;
	vector<CTable*> m_apTables;
	vector<CGraphSnapshot*> m_apGraphs;
	double m_dMaxExtentsX;
	CSize m_sizeClient;

protected:

	void OnDraw(CDC* aDC);

	void UpdateFromProject();

	void SetSnapshotColumns(CTable* aTable);
	void SetSnapshotRows(CTable* aTable, const CBuilding* aBuilding, const CIsoSystem* aIsoSys);
	void SetSnapshotGraph(CGraphSnapshot* aGraph, const CBuilding* aBuilding, const CIsoSystem* aIsoSys);

	void SetPerformanceEvalColumns(CTable* aTable);
	void SetPerformanceEvalRows(CTable* aTable, const CBuilding* aBuilding, const CIsoSystem* aIsoSys);

	void SetJointColumns(CTable* aTable, const CBuilding* aBuilding, vector<const CIsoSystem*>& aIsoSys);
	void SetJointRows(CTable* aTable, const CBuilding* aBuilding, vector<const CIsoSystem*>& aIsoSys);

	void SetEarthquakeConeTable(CTable* aTable, const CEarthquakeCone* aCone);
	void SetBuildingTable(CTable* aTable, const CBuilding* aBuilding);
	void SetIsoSysSlidingTable(CTable* aTable, const CIsoSystemSliding* aIsoSys);
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_CHILDVIEW_H__417F0773_2D1E_4429_AA5D_A357B68D027F__INCLUDED_)

//=================================== EOF ===================================
