/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EPET.h
//		DESCRIPTION:	interface for the CEPETApp class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_EPET_H__FD5B2392_6ABA_42D2_A72A_4733D6C5D7DA__INCLUDED_)
#define AFX_EPET_H__FD5B2392_6ABA_42D2_A72A_4733D6C5D7DA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"
#include "EPETDatabase.h"
#include "Project.h"


#define WM_UPDATE_MAINFRAME_UI WM_USER+1


//***************************************************************************
//                             CEPETApp CLASS
//***************************************************************************

class CEPETApp : public CWinApp
{
protected:

	HMENU m_hMDIMenu;
	HACCEL m_hMDIAccel;

public:

	CEPETApp();
	~CEPETApp();

	//{{AFX_VIRTUAL(CEPETApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CEPETApp)
	afx_msg void OnAppAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	// Database -------------------------------------------------------------

private:

	CEPETDatabase* m_pDBase; // one and only database
	CProject* m_pProject; // one and only active project
	const CIsoSystem* m_pSelIsoSystem;
	int m_iSnapshotFloor;
	bool m_bExitInstance; // ---> bug: the function wasn't called!!!

public:

	// Open the database specified by user
	bool OpenDatabase(
		const char* aDatabaseName, 
		const char* aUserName, 
		const char* aPassword,
		bool aReadOnly = false);

	// Get database pointer (may be NULL)
	inline CEPETDatabase* GetDatabase() { return m_pDBase; }

	// Set / get the selected project
	inline void CreateProject(long aProjectID) { if (m_pProject) delete m_pProject; m_pProject = new CProject(aProjectID); }
	inline CProject& GetProject() { return *m_pProject; }

	// Set / get the selected isolation system
	inline void SetSelIsoSystem(const CIsoSystem* aIsoSys) { m_pSelIsoSystem = aIsoSys; }
	inline const CIsoSystem* GetSelIsoSystem() const { return m_pSelIsoSystem; }

	// Set / get the snapshot floor
	inline void SetSnapshotFloor(int aFloor) { m_iSnapshotFloor = aFloor; }
	inline int GetSnapshotFloor() const { return m_iSnapshotFloor; }
};


extern CEPETApp g_Application;
#define DB_PTR g_Application.GetDatabase()

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_EPET_H__FD5B2392_6ABA_42D2_A72A_4733D6C5D7DA__INCLUDED_)

//=================================== EOF ===================================
