/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EditBuildingDlg.h
//		DESCRIPTION:	interface for the CEditBuildingDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_EDITBUILDING_H__067EB22D_F393_4BC9_9776_A498808C7948__INCLUDED_)
#define AFX_EDITBUILDING_H__067EB22D_F393_4BC9_9776_A498808C7948__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Building.h"


//***************************************************************************
//                        CEditBuildingDlg CLASS
//***************************************************************************

class CEditBuildingDlg : public CDialog, public CBuilding
{
public:

	CEditBuildingDlg(long aBuildingID, CWnd* pParent = NULL);

	//{{AFX_DATA(CEditBuildingDlg)
	enum { IDD = IDD_EDIT_BUILDING };
	CListBox	m_listFloors;
	CComboBox	m_cboxQualityFactor;
	CButton	m_buttonOK;
	CButton	m_buttonRemove;
	CButton	m_buttonAdd;
	CString	m_strDescription;
	double	m_dElasticLimit;
	int		m_iBasementMass;
	int		m_iFloorMass;
	int		m_iRigidityCoeff;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CEditBuildingDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CEditBuildingDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonRemove();
	afx_msg void OnDblclkListFloors();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

protected:

	struct FLOOR_DATA
	{
		double m_dMass;
		int m_iQualityFactor;
		double m_dElasticLimit;
		int m_iRigidityCoeff;
	};

	vector<FLOOR_DATA> m_aFloors;

	CString ComposeFloorString(int aFloor, const FLOOR_DATA* aFD) const;
	void UpdateCtrlState(int iSelFloor = 0);
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_EDITBUILDING_H__067EB22D_F393_4BC9_9776_A498808C7948__INCLUDED_)

//=================================== EOF ===================================
