/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EditEqConeDlg.cpp
//		DESCRIPTION:	implementation of the CEditEqConeDlg class
//
/////////////////////////////////////////////////////////////////////////////


#include "stdafx.h"
#include "epet.h"
#include "EditEqConeDlg.h"
#include "ViewEqConeTimeHistoryDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


//***************************************************************************
//                           CEditEqConeDlg CLASS
//***************************************************************************

BEGIN_MESSAGE_MAP(CEditEqConeDlg, CDialog)
	//{{AFX_MSG_MAP(CEditEqConeDlg)
	ON_BN_CLICKED(IDC_BUTTON_TIME_HISTORY, OnButtonTimeHistory)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
CEditEqConeDlg::CEditEqConeDlg(long aID, CWnd* pParent) : 
CDialog(CEditEqConeDlg::IDD, pParent),
CEarthquakeCone(aID)
{
	//{{AFX_DATA_INIT(CEditEqConeDlg)
	m_strDescription = GetDescription();
	m_dMaxVelocity = GetMaxVelocity_CM_SEC();
	m_dMinPeriod = GetMinPeriod_SEC();
	m_dMaxPeriod = GetMaxPeriod_SEC();
	m_dTotalTime = GetTotalTime_SEC();
	//}}AFX_DATA_INIT
}

/////////////////////////////////////////////////////////////////////////////
void CEditEqConeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditEqConeDlg)
	DDX_Text(pDX, IDC_EDIT_DESCRIPTION, m_strDescription);
	DDX_Text(pDX, IDC_EDIT_MAX_VELOCITY, m_dMaxVelocity);
	DDX_Text(pDX, IDC_EDIT_MIN_PERIOD, m_dMinPeriod);
	DDX_Text(pDX, IDC_EDIT_MAX_PERIOD, m_dMaxPeriod);
	DDX_Text(pDX, IDC_EDIT_TOTAL_TIME, m_dTotalTime);
	//}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
void CEditEqConeDlg::OnButtonTimeHistory() 
{
	UpdateData();

	SetDescription(m_strDescription);
	SetMaxVelocity_CM_SEC(m_dMaxVelocity);
	SetMinPeriod_SEC(m_dMinPeriod);
	SetMaxPeriod_SEC(m_dMaxPeriod);
	SetTotalTime_SEC(m_dTotalTime);

	CViewEqConeTimeHistoryDlg dlg(*this, this);
	dlg.DoModal();
}

/////////////////////////////////////////////////////////////////////////////
void CEditEqConeDlg::OnOK() 
{
	UpdateData();

	SetDescription(m_strDescription);
	SetMaxVelocity_CM_SEC(m_dMaxVelocity);
	SetMinPeriod_SEC(m_dMinPeriod);
	SetMaxPeriod_SEC(m_dMaxPeriod);
	SetTotalTime_SEC(m_dTotalTime);

	if (Save())
	{
		CDialog::OnOK();
	}
	else
	{
		MessageBox("Invalid data");
	}
}

//=================================== EOF ===================================
