/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EditIsoSystemAFMSDlg.cpp
//		DESCRIPTION:	implementation of the CEditIsoSystemAFMSDlg class
//
/////////////////////////////////////////////////////////////////////////////


#include "stdafx.h"
#include "epet.h"
#include "EditIsoSystemAFMSDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


//***************************************************************************
//                      CEditIsoSystemAFMSDlg CLASS
//***************************************************************************

BEGIN_MESSAGE_MAP(CEditIsoSystemAFMSDlg, CDialog)
	//{{AFX_MSG_MAP(CEditIsoSystemAFMSDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
CEditIsoSystemAFMSDlg::CEditIsoSystemAFMSDlg(long aID, CWnd* pParent) : 
CDialog(CEditIsoSystemAFMSDlg::IDD, pParent),
CIsoSystemAFMS(aID)
{
	//{{AFX_DATA_INIT(CEditIsoSystemAFMSDlg)
	m_strDescription = GetDescription();
	m_iType = (GetType() == TYPE_AFMS) ? 0 : 1;
	m_dNaturalFriction = GetNaturalFriction();
	m_dCoeffN = GetCoeffN();
	m_dVRad0 = GetVRadius_CM(0);
	m_dVRad1 = GetVRadius_CM(1);
	m_dVRad2 = GetVRadius_CM(2);
	m_dVRad3 = GetVRadius_CM(3);
	m_dVRad4 = GetVRadius_CM(4);
	m_dVRad5 = GetVRadius_CM(5);
	m_dVRad6 = GetVRadius_CM(6);
	m_dVRad7 = GetVRadius_CM(7);
	m_dVRad8 = GetVRadius_CM(8);
	m_dVRad9 = GetVRadius_CM(9);
	m_dHRad0 = GetHRadius_CM(0);
	m_dHRad1 = GetHRadius_CM(1);
	m_dHRad2 = GetHRadius_CM(2);
	m_dHRad3 = GetHRadius_CM(3);
	m_dHRad4 = GetHRadius_CM(4);
	m_dHRad5 = GetHRadius_CM(5);
	m_dHRad6 = GetHRadius_CM(6);
	m_dHRad7 = GetHRadius_CM(7);
	m_dHRad8 = GetHRadius_CM(8);
	m_dHRad9 = GetHRadius_CM(9);
	//}}AFX_DATA_INIT
}

/////////////////////////////////////////////////////////////////////////////
void CEditIsoSystemAFMSDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditIsoSystemAFMSDlg)
	DDX_Text(pDX, IDC_EDIT_DESCRIPTION, m_strDescription);
	DDX_Text(pDX, IDC_EDIT_NATURAL_FRICTION, m_dNaturalFriction);
	DDX_Text(pDX, IDC_EDIT_COEFF_N, m_dCoeffN);
	DDX_Text(pDX, IDC_EDIT_VRAD0, m_dVRad0);
	DDX_Text(pDX, IDC_EDIT_VRAD1, m_dVRad1);
	DDX_Text(pDX, IDC_EDIT_VRAD2, m_dVRad2);
	DDX_Text(pDX, IDC_EDIT_VRAD3, m_dVRad3);
	DDX_Text(pDX, IDC_EDIT_VRAD4, m_dVRad4);
	DDX_Text(pDX, IDC_EDIT_VRAD5, m_dVRad5);
	DDX_Text(pDX, IDC_EDIT_VRAD6, m_dVRad6);
	DDX_Text(pDX, IDC_EDIT_VRAD7, m_dVRad7);
	DDX_Text(pDX, IDC_EDIT_VRAD8, m_dVRad8);
	DDX_Text(pDX, IDC_EDIT_VRAD9, m_dVRad9);
	DDX_Text(pDX, IDC_EDIT_HRAD0, m_dHRad0);
	DDX_Text(pDX, IDC_EDIT_HRAD1, m_dHRad1);
	DDX_Text(pDX, IDC_EDIT_HRAD2, m_dHRad2);
	DDX_Text(pDX, IDC_EDIT_HRAD3, m_dHRad3);
	DDX_Text(pDX, IDC_EDIT_HRAD4, m_dHRad4);
	DDX_Text(pDX, IDC_EDIT_HRAD5, m_dHRad5);
	DDX_Text(pDX, IDC_EDIT_HRAD6, m_dHRad6);
	DDX_Text(pDX, IDC_EDIT_HRAD7, m_dHRad7);
	DDX_Text(pDX, IDC_EDIT_HRAD8, m_dHRad8);
	DDX_Text(pDX, IDC_EDIT_HRAD9, m_dHRad9);
	DDX_Radio(pDX, IDC_RADIO_AFMS, m_iType);
	//}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
void CEditIsoSystemAFMSDlg::OnOK() 
{
	UpdateData();

	SetDescription(m_strDescription);
	SetTypeToAFMSCD(m_iType == 1);
	SetNaturalFriction(m_dNaturalFriction);
	SetCoeffN(m_dCoeffN);

	SetVRadius_CM(0, m_dVRad0);
	SetVRadius_CM(1, m_dVRad1);
	SetVRadius_CM(2, m_dVRad2);
	SetVRadius_CM(3, m_dVRad3);
	SetVRadius_CM(4, m_dVRad4);
	SetVRadius_CM(5, m_dVRad5);
	SetVRadius_CM(6, m_dVRad6);
	SetVRadius_CM(7, m_dVRad7);
	SetVRadius_CM(8, m_dVRad8);
	SetVRadius_CM(9, m_dVRad9);

	SetHRadius_CM(0, m_dHRad0);
	SetHRadius_CM(1, m_dHRad1);
	SetHRadius_CM(2, m_dHRad2);
	SetHRadius_CM(3, m_dHRad3);
	SetHRadius_CM(4, m_dHRad4);
	SetHRadius_CM(5, m_dHRad5);
	SetHRadius_CM(6, m_dHRad6);
	SetHRadius_CM(7, m_dHRad7);
	SetHRadius_CM(8, m_dHRad8);
	SetHRadius_CM(9, m_dHRad9);

	if (Save())
	{
		CDialog::OnOK();
	}
	else
	{
		MessageBox("Invalid data");
	}
}

//=================================== EOF ===================================
