/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EditIsoSystemShearDlg.cpp
//		DESCRIPTION:	implementation of the CEditIsoSystemShearDlg class
//
/////////////////////////////////////////////////////////////////////////////


#include "stdafx.h"
#include "epet.h"
#include "EditIsoSystemShearDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


//***************************************************************************
//                      CEditIsoSystemShearDlg CLASS
//***************************************************************************

BEGIN_MESSAGE_MAP(CEditIsoSystemShearDlg, CDialog)
	//{{AFX_MSG_MAP(CEditIsoSystemShearDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
CEditIsoSystemShearDlg::CEditIsoSystemShearDlg(long aID, CWnd* pParent) : 
CDialog(CEditIsoSystemShearDlg::IDD, pParent),
CIsoSystemShear(aID)
{
	//{{AFX_DATA_INIT(CEditIsoSystemShearDlg)
	m_strDescription = GetDescription();
	m_iType = (GetType() == TYPE_SHEAR_HYS) ? 0 : 1;
	m_dDampingRatio = GetDampingRatio();
	m_dCoeffA = GetCoeffA();
	m_dCoeffB = GetCoeffB();
	//}}AFX_DATA_INIT
}

/////////////////////////////////////////////////////////////////////////////
void CEditIsoSystemShearDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditIsoSystemShearDlg)
	DDX_Text(pDX, IDC_EDIT_DESCRIPTION, m_strDescription);
	DDX_Radio(pDX, IDC_RADIO_SHEAR_HYS, m_iType);
	DDX_Text(pDX, IDC_EDIT_DAMPING_RATIO, m_dDampingRatio);
	DDX_Text(pDX, IDC_EDIT_COEFF_A, m_dCoeffA);
	DDX_Text(pDX, IDC_EDIT_COEFF_B, m_dCoeffB);
	//}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
void CEditIsoSystemShearDlg::OnOK() 
{
	UpdateData();

	SetDescription(m_strDescription);
	SetTypeToHysteretic(m_iType == 0);
	SetDampingRatio(m_dDampingRatio);
	SetCoeffA(m_dCoeffA);
	SetCoeffB(m_dCoeffB);

	if (Save())
	{
		CDialog::OnOK();
	}
	else
	{
		MessageBox("Invalid data");
	}
}

//=================================== EOF ===================================
