/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EditIsoSystemSlidingDlg.cpp
//		DESCRIPTION:	implementation of the CEditIsoSystemSlidingDlg class
//
/////////////////////////////////////////////////////////////////////////////


#include "stdafx.h"
#include "epet.h"
#include "EditIsoSystemSlidingDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


//***************************************************************************
//                     CEditIsoSystemSlidingDlg CLASS
//***************************************************************************

BEGIN_MESSAGE_MAP(CEditIsoSystemSlidingDlg, CDialog)
	//{{AFX_MSG_MAP(CEditIsoSystemSlidingDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
CEditIsoSystemSlidingDlg::CEditIsoSystemSlidingDlg(long aID, CWnd* pParent) : 
CDialog(CEditIsoSystemSlidingDlg::IDD, pParent),
CIsoSystemSliding(aID)
{
	//{{AFX_DATA_INIT(CEditIsoSystemSlidingDlg)
	m_strDescription = GetDescription();
	m_dNaturalFriction = GetNaturalFriction();
	m_dRadius = GetRadius_CM();
	//}}AFX_DATA_INIT
}

/////////////////////////////////////////////////////////////////////////////
void CEditIsoSystemSlidingDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditIsoSystemSlidingDlg)
	DDX_Text(pDX, IDC_EDIT_DESCRIPTION, m_strDescription);
	DDX_Text(pDX, IDC_EDIT_NATURAL_FRICTION, m_dNaturalFriction);
	DDX_Text(pDX, IDC_EDIT_RADIUS, m_dRadius);
	//}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
void CEditIsoSystemSlidingDlg::OnOK() 
{
	UpdateData();

	SetDescription(m_strDescription);
	SetNaturalFriction(m_dNaturalFriction);
	SetRadius_CM(m_dRadius);

	if (Save())
	{
		CDialog::OnOK();
	}
	else
	{
		MessageBox("Invalid data");
	}
}

//=================================== EOF ===================================
