/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EditProjectDlg.h
//		DESCRIPTION:	interface for the CEditProjectDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_EDITPROJECTDLG_H__76A891DE_C57B_4F75_A365_5FBC90A92F14__INCLUDED_)
#define AFX_EDITPROJECTDLG_H__76A891DE_C57B_4F75_A365_5FBC90A92F14__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Project.h"


//***************************************************************************
//                          CEditProjectDlg CLASS
//***************************************************************************

class CEditProjectDlg : public CDialog, public CProject
{
public:

	CEditProjectDlg(long aProjectID, bool aOpenProject, CWnd* pParent);

	//{{AFX_DATA(CEditProjectDlg)
	enum { IDD = IDD_EDIT_PROJECT };
	CString	m_strDescription;
	CComboBox	m_cboxEarthquakes;
	CComboBox	m_cboxBuildings;
	CComboBox	m_cboxSecSystems;
	CListBox	m_lboxAvailIsoSystems;
	CListBox	m_lboxUsedIsoSystems;
	CButton	m_buttonAdd;
	CButton	m_buttonRemove;
	CButton	m_buttonOk;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CEditProjectDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CEditProjectDlg)
	afx_msg void OnSelchangeListAvailIsoSystems();
	afx_msg void OnDblclkListAvailIsoSystems();
	afx_msg void OnSelchangeListUsedIsoSystems();
	afx_msg void OnDblclkListUsedIsoSystems();
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonRemove();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeComboBuildings();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

	bool m_bOpenProject;
	int m_nUsedSysAFMS;
	int m_nUsedSysSliding;
	int m_nUsedSysShear;

	void UpdateSecSysCombo(long aBuildingID);
	void UpdateCtrlState();

public:

	static DWORD PackItemData(long aID, char aFlag);
	static void UnpackItemData(DWORD aItemData, long& aID, char& aFlag);
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_EDITPROJECTDLG_H__76A891DE_C57B_4F75_A365_5FBC90A92F14__INCLUDED_)

//=================================== EOF ===================================
