/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EqTimeHistoryFrame.cpp
//		DESCRIPTION:	implementation of the CEqTimeHistoryFrame class
//
/////////////////////////////////////////////////////////////////////////////


#include "stdafx.h"
#include "epet.h"
#include "EqTimeHistoryFrame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


//***************************************************************************
//                        CEqTimeHistoryFrame CLASS
//***************************************************************************

IMPLEMENT_DYNCREATE(CEqTimeHistoryFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CEqTimeHistoryFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CEqTimeHistoryFrame)
	ON_WM_CREATE()
	ON_WM_SETFOCUS()
	ON_COMMAND(ID_FILE_CLOSE, OnFileClose)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//**************************** Setup/cleanup ********************************
/////////////////////////////////////////////////////////////////////////////
CEqTimeHistoryFrame::CEqTimeHistoryFrame()
{
}

/////////////////////////////////////////////////////////////////////////////
BOOL CEqTimeHistoryFrame::PreCreateWindow(CREATESTRUCT& cs) 
{
	if(!CMDIChildWnd::PreCreateWindow(cs))
	{
		return FALSE;
	}

	cs.dwExStyle &= ~WS_EX_CLIENTEDGE;
	cs.lpszClass = AfxRegisterWndClass(0);

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
int CEqTimeHistoryFrame::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CMDIChildWnd::OnCreate(lpCreateStruct) == -1)
	{
		return -1;
	}

	SetIcon(g_Application.LoadIcon(IDR_TIMEHISTORY), TRUE);

	// Create a view to occupy the client area of the frame

	if (!m_wndView.Create(
			NULL, 
			NULL, 
			AFX_WS_DEFAULT_VIEW, 
			CRect(0, 0, 0, 0), 
			this, 
			AFX_IDW_PANE_FIRST, 
			NULL))
	{
		TRACE0("Failed to create view window\n");
		return -1;
	}

	return 0;
}

/////////////////////////////////////////////////////////////////////////////
CEqTimeHistoryFrame::~CEqTimeHistoryFrame()
{
	g_Application.GetMainWnd()->PostMessage(WM_UPDATE_MAINFRAME_UI, IDR_TIMEHISTORY, FALSE);
}

//******************************* Messages **********************************
/////////////////////////////////////////////////////////////////////////////
void CEqTimeHistoryFrame::OnFileClose() 
{
	// To close the frame, just send a WM_CLOSE, which is the equivalent
	// choosing close from the system menu.

	SendMessage(WM_CLOSE);
}

/////////////////////////////////////////////////////////////////////////////
void CEqTimeHistoryFrame::OnSetFocus(CWnd* pOldWnd) 
{
	CMDIChildWnd::OnSetFocus(pOldWnd);
	m_wndView.SetFocus();

	g_Application.GetMainWnd()->PostMessage(WM_UPDATE_MAINFRAME_UI, IDR_TIMEHISTORY, TRUE);
}

/////////////////////////////////////////////////////////////////////////////
BOOL CEqTimeHistoryFrame::OnCmdMsg(UINT nID, 
								   int nCode, 
								   void* pExtra, 
								   AFX_CMDHANDLERINFO* pHandlerInfo) 
{
	// Let the view have first crack at the command
	if (m_wndView.OnCmdMsg(nID, nCode, pExtra, pHandlerInfo))
	{
		return TRUE;
	}

	// ...otherwise, do the default handling
	return CMDIChildWnd::OnCmdMsg(nID, nCode, pExtra, pHandlerInfo);
}

//********************************* Debug ***********************************
/////////////////////////////////////////////////////////////////////////////
#ifdef _DEBUG
void CEqTimeHistoryFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

/////////////////////////////////////////////////////////////////////////////
void CEqTimeHistoryFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}
#endif //_DEBUG

//=================================== EOF ===================================
