/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			GLFloor.h
//		DESCRIPTION:	interface for the GLFloor class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_GLFLOOR_H__861F2A68_BE02_4CCA_ADEF_B3E7F98037A0__INCLUDED_)
#define AFX_GLFLOOR_H__861F2A68_BE02_4CCA_ADEF_B3E7F98037A0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GLPrims.h"
#include "Lock.h"


//***************************************************************************
//                             GlFloor CLASS
//***************************************************************************

class GlFloor : public IGlPainter
{
public:

	GlFloor(int aFloor, IVolSpace* aSpace, const GlColor& aColor);
	~GlFloor();

	HRESULT _stdcall QueryInterface(REFIID iid, void** ppvObject) { return S_OK; }
	ULONG _stdcall AddRef() { return 1; }
	ULONG _stdcall Release() { return 1; }

	STDMETHOD(Draw)(IGlCanvas* aCanvas, IGlContext* aContext, IGlViewer* aViewer, IUnknown*);

private:

	int m_iFloor;
	IGlCoord* m_pCoord;
	IVolObject* m_pVolObject;

	GlColor m_Color;
	bool m_bShowText;
	BSTR m_bstrText;
	DWORD m_dwUserData;

	double m_dRadius;

	static long m_iList;
	static CLock m_Lock;

public:

	void SetAbsDisp(double aDisp);
	static double GetFloorHeight() { return 10.0; }
};


#endif // !defined(AFX_GLFLOOR_H__861F2A68_BE02_4CCA_ADEF_B3E7F98037A0__INCLUDED_)

//=================================== EOF ===================================
