/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			GLViewerGauge.h
//		DESCRIPTION:	interface for the GLViewerGauge class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_GLVIEWERGAUGE_H__618226D7_D192_438C_ADD3_0DD014EDB94C__INCLUDED_)
#define AFX_GLVIEWERGAUGE_H__618226D7_D192_438C_ADD3_0DD014EDB94C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GLPrims.h"
#include "Lock.h"


//***************************************************************************
//                            GlViewerGauge CLASS
//***************************************************************************

class GlViewerGauge : public IGlViewerGauge
{
	IGlFont* m_pFont;
	bool m_bShow;

	BSTR m_strTitle;
	static BSTR m_strMode;
	static BSTR m_strTotalTime_SEC;
	static BSTR m_strTime_SEC;

	CLock m_Lock;

public:

	GlViewerGauge();
	~GlViewerGauge();

	HRESULT _stdcall QueryInterface(REFIID iid, void** ppvObject) { return S_OK; }
	ULONG _stdcall AddRef() { return 1; }
	ULONG _stdcall Release() { return 1; }

	STDMETHOD(Draw)(IGlCanvas* aCanvas, IGlContext* aContext, IGlViewer*, IUnknown*);
	STDMETHOD(Show)(boolean aShow);
	STDMETHOD(IsVisible)(boolean* aVisible);

public:

	inline void SetFont(IGlFont* aFont) { m_pFont = aFont; }

	void SetTitle(const char* aValue);
	void SetMode(const char* aValue);
	void SetTotalTime_SEC(const char* aValue);
	void SetTime_SEC(const char* aValue);
};

#endif // !defined(AFX_GLVIEWERGAUGE_H__618226D7_D192_438C_ADD3_0DD014EDB94C__INCLUDED_)

//=================================== EOF ===================================
