/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			GLIsoSystem.h
//		DESCRIPTION:	interface for the GLIsoSystem class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_GLISOSYSTEM_H__81BA8451_C0EB_4650_A91D_1579415FA9A7__INCLUDED_)
#define AFX_GLISOSYSTEM_H__81BA8451_C0EB_4650_A91D_1579415FA9A7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GLPrims.h"
#include "Lock.h"


//***************************************************************************
//                             GlIsoSystem CLASS
//***************************************************************************

class GlIsoSystem : public IGlPainter
{
public:

	GlIsoSystem(IVolSpace* aSpace, const GlColor& aColor, double aWidth);
	~GlIsoSystem();

	HRESULT _stdcall QueryInterface(REFIID iid, void** ppvObject) { return S_OK; }
	ULONG _stdcall AddRef() { return 1; }
	ULONG _stdcall Release() { return 1; }

	STDMETHOD(Draw)(IGlCanvas* aCanvas, IGlContext* aContext, IGlViewer* aViewer, IUnknown*);

private:

	double m_dWidth;

	IGlCoord* m_pCoord;
	IVolObject* m_pVolObject;

	GlColor m_Color;
	static long m_iList;
	static CLock m_Lock;

public:

	void SetAbsDisp(double aDisp);
};


#endif // !defined(AFX_GLISOSYSTEM_H__81BA8451_C0EB_4650_A91D_1579415FA9A7__INCLUDED_)

//=================================== EOF ===================================
