/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			Graph.h
//		DESCRIPTION:	interface for the CGraph class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_GRAPH_H__660AD037_8A0A_462C_9E88_2B815368A310__INCLUDED_)
#define AFX_GRAPH_H__660AD037_8A0A_462C_9E88_2B815368A310__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//***************************************************************************
//                               CGraph CLASS
//***************************************************************************

class CGraph  
{
protected:

	COLORREF m_rgbBkgd;

	struct GRAPH_DATA
	{
		vector<double> m_aX;
		vector<double> m_aY;
		COLORREF m_rgbPen;
		int m_iPenWidth;
	};

	vector<GRAPH_DATA> m_Graphs;

	double m_dMinX;
	double m_dMaxX;
	double m_dMinY;
	double m_dMaxY;

	bool m_bShowAxis;
	bool m_bShowFrame;
	bool m_bShowTickmark;

	static CFont m_Font;

public:

	CGraph(COLORREF aRgbBkgd = RGB(255, 255, 255));
	virtual ~CGraph();

	void AddGraph(
		const vector<double>& aX, 
		const vector<double>& aY, 
		COLORREF aRgbPen = RGB(0, 0, 0),
		int aPenWidth = 1);

	void inline ClearGraphs() { m_Graphs.clear(); }

	inline void ShowAxis(bool aShow) { m_bShowAxis = aShow; }
	inline bool IsAxisVisible() const { return m_bShowAxis; }

	inline void ShowFrame(bool aShow) { m_bShowFrame = aShow; }
	inline bool IsFrameVisible() const { return m_bShowFrame; }

	inline void ShowTickmark(bool aShow) { m_bShowTickmark = aShow; }
	inline bool IsTickmarkVisible() const { return m_bShowTickmark; }

	virtual void OnDraw(CDC* aDC, const RECT* aRect);
};


//***************************************************************************
//                         CGraphSnapshot CLASS
//***************************************************************************

class CGraphSnapshot : public CGraph
{
	double m_dExtentsX;

public:

	CGraphSnapshot(COLORREF aRgbBkgd = RGB(255, 255, 255));
	virtual void OnDraw(CDC* aDC, const RECT* aRect);

	inline void SetExtentsX(double aExtents) { m_dExtentsX = aExtents; }
};

#endif // !defined(AFX_GRAPH_H__660AD037_8A0A_462C_9E88_2B815368A310__INCLUDED_)

//=================================== EOF ===================================
