/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			ListCtrlEx.cpp
//		DESCRIPTION:	implementation of the CListCtrlEx class.
//
/////////////////////////////////////////////////////////////////////////////


#include "stdafx.h"
#include "ListCtrlEx.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


//***************************************************************************
//                          CListCtrlEx CLASS
//***************************************************************************

BEGIN_MESSAGE_MAP(CListCtrlEx, CListCtrl)
	//{{AFX_MSG_MAP(CListCtrlEx)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
CListCtrlEx::CListCtrlEx()
{
}

/////////////////////////////////////////////////////////////////////////////
CListCtrlEx::~CListCtrlEx()
{
}

/////////////////////////////////////////////////////////////////////////////
void CListCtrlEx::DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct)
{
	const static COLORREF rgbWhite = RGB(255, 255, 255);
	const static COLORREF rgbBlack = RGB(0, 0, 0);

	bool bSelected = (lpDrawItemStruct->itemState & ODS_SELECTED) != 0;
	bool bHasFocus = (lpDrawItemStruct->itemState & ODS_FOCUS) != 0;

	//--------------------- Draw background rectangle -----------------------

	COLORREF rgbBrush = bSelected ? GetSysColor(COLOR_HIGHLIGHT) : rgbWhite;
	CPen pen(bHasFocus ? PS_DOT : PS_SOLID, 1, bHasFocus ? rgbBlack : rgbBrush);
	CBrush brush(rgbBrush);

	HGDIOBJ pOldPen = SelectObject(lpDrawItemStruct->hDC, pen);
	HGDIOBJ pOldBrush = SelectObject(lpDrawItemStruct->hDC, brush);

	Rectangle(
		lpDrawItemStruct->hDC, 
		lpDrawItemStruct->rcItem.left, 
		lpDrawItemStruct->rcItem.top, 
		lpDrawItemStruct->rcItem.right, 
		lpDrawItemStruct->rcItem.bottom);

	//------------------------------ Draw text ------------------------------

	UINT uiOldTextAlign = SetTextAlign(lpDrawItemStruct->hDC, TA_LEFT | TA_TOP);
	COLORREF rgbOldTextColor = ::SetTextColor(lpDrawItemStruct->hDC, bSelected ? rgbWhite : rgbBlack);

	for (int i = 0, nColumns = GetHeaderCtrl()->GetItemCount(); i < nColumns; i++)
	{
		// Get the subitem's rectangle and text
		CRect rect;
		GetSubItemRect(lpDrawItemStruct->itemID, i, LVIR_BOUNDS, rect);
		CString strText(GetItemText(lpDrawItemStruct->itemID, i));

		// Display the text within the clipping rectangle
		ExtTextOut(
			lpDrawItemStruct->hDC, 
			rect.left + 5, 
			rect.top + 1, 
			ETO_CLIPPED, 
			rect, 
			strText, 
			strText.GetLength(), 
			NULL);
	}
	
	// Restore the device context
	SelectObject(lpDrawItemStruct->hDC, pOldPen);
	SelectObject(lpDrawItemStruct->hDC, pOldBrush);
	SetTextAlign(lpDrawItemStruct->hDC, uiOldTextAlign);
	::SetTextColor(lpDrawItemStruct->hDC, rgbOldTextColor);
}

//=================================== EOF ===================================
