/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			MainFrm.h
//		DESCRIPTION:	interface for the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_MAINFRM_H__882354B4_4FCA_4485_9681_01F671D491C1__INCLUDED_)
#define AFX_MAINFRM_H__882354B4_4FCA_4485_9681_01F671D491C1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//***************************************************************************
//                             CMainFrame CLASS
//***************************************************************************

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)

public:

	CMainFrame();
	virtual ~CMainFrame();

	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL
	
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CToolBar    m_wndChildViewToolBar;
	CToolBar    m_wndAnimateViewToolBar;
	CReBar      m_wndReBar;
	CDialogBar  m_wndDlgBar;
	CComboBox   m_cboxDlgBar;
	CComboBox   m_cboxDlgBarFloors;

protected:

	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDatabaseOpen();
	afx_msg void OnProjectNew();
	afx_msg void OnUpdateProjectNew(CCmdUI* pCmdUI);
	afx_msg void OnProjectOpen();
	afx_msg void OnUpdateProjectOpen(CCmdUI* pCmdUI);
	afx_msg void OnEditBuildings();
	afx_msg void OnUpdateEditBuildings(CCmdUI* pCmdUI);
	afx_msg void OnEditSecondarySystems();
	afx_msg void OnUpdateEditSecondarySystems(CCmdUI* pCmdUI);
	afx_msg void OnEditIsolationSystems();
	afx_msg void OnUpdateEditIsolationSystems(CCmdUI* pCmdUI);
	afx_msg void OnEditEarthquakes();
	afx_msg void OnUpdateEditEarthquakes(CCmdUI* pCmdUI);
	afx_msg void OnViewEarthquakeHistory();
	afx_msg void OnUpdateViewEarthquakeHistory(CCmdUI* pCmdUI);
	afx_msg void OnDialogbarGo();
	afx_msg void OnDialogbarShowSnapshot();
	afx_msg void OnDestroy();
	afx_msg void OnProjectEdit();
	afx_msg void OnUpdateProjectEdit(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void UpdateDialogBar(int aWinResID, bool aSetFocus);
	void UpdateDialogBarCombo(int aWinResID);
	void UpdateDialogBarFloorList();

	void CreateChildFrame();
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_MAINFRM_H__882354B4_4FCA_4485_9681_01F671D491C1__INCLUDED_)

//=================================== EOF ===================================
