/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			SecSystem.h
//		DESCRIPTION:	interface for the CSecSystem class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_SECSYSTEM_H__D07E5396_3AE0_45DD_B9B7_5B35F4D1B6D5__INCLUDED_)
#define AFX_SECSYSTEM_H__D07E5396_3AE0_45DD_B9B7_5B35F4D1B6D5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//***************************************************************************
//                            CSecSystem CLASS
//***************************************************************************

class CSecSystem  
{
	long m_lID;
	CString m_strDescription;
	long m_lBuildingID;
	long m_lFloorNumber;
	double m_dMass_KG;
	double m_dDampingRatio;

public:

	CSecSystem(long aID = ID_NEW_RECORD);
	~CSecSystem();

	bool Save();
	bool IsValid() const;

	inline long GetID() const { return m_lID; }
	inline const char* GetDescription() const { return m_strDescription; }
	inline long GetBuildingID() const { return m_lBuildingID; }
	inline long GetFloorNumber() const { return m_lFloorNumber; }
	inline double GetMass_KG() const { return m_dMass_KG; }
	inline double GetDampingRatio() const { return m_dDampingRatio; }
	CString GetParamDesc() const;
	
	bool SetDescription(const char* aValue);
	bool SetBuildingID(long aValue);
	bool SetFloorNumber(long aValue);
	bool SetMass_KG(double aValue);
	bool SetDampingRatio(double aValue);
};

#endif // !defined(AFX_SECSYSTEM_H__D07E5396_3AE0_45DD_B9B7_5B35F4D1B6D5__INCLUDED_)

//=================================== EOF ===================================
