/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			Table.h
//		DESCRIPTION:	interface for the CTable class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_TABLE_H__9AD04B08_8CAD_40F7_A4DD_5715837C4A38__INCLUDED_)
#define AFX_TABLE_H__9AD04B08_8CAD_40F7_A4DD_5715837C4A38__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//***************************************************************************
//                               CTable CLASS
//***************************************************************************

class CTable  
{
public:

	enum EJustify
	{
		JUSTIFY_LEFT,
		JUSTIFY_RIGHT,
		JUSTIFY_CENTER,
		JUSTIFY_CENTER_DECIMAL
	};

protected:

	struct COLUMN_DATA
	{
		CString m_strName;
		vector<CString> m_astrValues;
		int m_iCellWidth;
		EJustify m_eJustify;
	};

	vector<CString> m_astrTitleLines;
	vector<COLUMN_DATA> m_aColumns;
	static CFont m_Font;

public:

	CTable();
	virtual ~CTable();

	SIZE GetSize() const;
	int GetCellHeight() const;
	int GetNumberOfCells() const;

	inline void AddTitleLine(const char* aTitle) { m_astrTitleLines.push_back(aTitle); }
	int AddColumn(const char* aName, int aCellWidth, EJustify aJustify);

	void Resize(int aNumberOfRows); 
	void SetSell(int aColIndex, int aRowIndex, const char* aValue); 

	void OnDraw(CDC* aDC, const POINT* aOffset);
};

#endif // !defined(AFX_TABLE_H__9AD04B08_8CAD_40F7_A4DD_5715837C4A38__INCLUDED_)

//=================================== EOF ===================================

